petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSGetTime

Gets the time of the most recently completed step.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetTime(TS ts,PetscReal *t)

Not Collective

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

t -the current time. This time may not corresponds to the final time set with TSSetMaxTime(), use TSGetSolveTime().

### Note

When called during time step evaluation (e.g. during residual evaluation or via hooks set using TSSetPreStep(), TSSetPreStage(), TSSetPostStage(), or TSSetPostStep()), the time is the time at the start of the step being evaluated.

### See Also

TSGetSolveTime(), TSSetTime(), TSGetTimeStep(), TSGetStepNumber()

### Level

beginner

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex17.c.html
src/ts/examples/tutorials/ex31.c.html
src/ts/examples/tutorials/ex40.c.html
src/ts/examples/tutorials/ex41.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages